Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452917 - power manager repeatedly displays cryptic error message
Summary: power manager repeatedly displays cryptic error message
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 20:54 UTC by Steevithak
Modified: 2013-03-06 03:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:12:00 UTC


Attachments (Terms of Use)

Description Steevithak 2008-06-25 20:54:17 UTC
Description of problem:

After upgrading my Dell Inspiron 8600 laptop to Fedora 9, the Power Manager
2.22.1 program repeatedly displays a cryptic error message about sleep mode not
working due to a running program. After a second or two it vanishes (usually
after it's been there just long enough to see but not long enough to read the
full message). After a minute or two it re-appears again. The error message
displayed starts "your laptop will not sleep if you shut the lid..." it goes on
to say something about a program that's running which is causing the problem but
doesn't name the program or offer any advice on how to fix the problem. (sorry I
haven't managed to write down the full text of the error yet). 

It does offer a "don't show me this message again" clicker but I'd rather fix
the problem than hide the error messages. 

Version-Release number of selected component (if applicable): 2.22.1


How reproducible: 100% of the time


Steps to Reproduce:
1. Install Fedora 9 on a Dell Inspiron 8600
2. Boot
3. Log in
4. Stare at GNOME desktop a few minutes
  
Actual results: Power Manager error messages start popping up


Expected results: desktop sits there looking pretty


Additional info:

I've done no customization of any kind. I literally just inserted the DVD,
installed, and rebooted. I've rebooted a few times since and the message still
appears.

I'm pretty sure I didn't select the right component in bugzilla because it
doesn't list Power Manager, which is pretty clearly what the about dialog says
this thing is called. The component list shows a "powerman" and a "powermanga"
but no "power manager". Might want to update either the bugzilla listing or the
power manager about page to show the correct name.

Comment 1 Steven M. Parrish 2008-06-25 21:08:19 UTC
Reassigning to Gnome-Power-Manager

Comment 2 Steevithak 2008-06-26 15:49:45 UTC
I noticed bug 446510 that says package manager interferes with the ability of a
laptop to suspend without warning the user. I wonder if this could be related to
the cryptic power manager errors I'm seeing?

 https://bugzilla.redhat.com/show_bug.cgi?id=446510



Comment 3 Bug Zapper 2009-06-10 01:47:23 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 15:12:00 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.